/*
 * Copyright (C) 2010 Teleal GmbH, Switzerland
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation, either version 3 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.teleal.cling.transport.impl;

import org.teleal.cling.common.http.Headers;
import org.teleal.cling.model.message.header.UpnpHeader;
import org.teleal.cling.model.message.UpnpMessage;
import org.teleal.cling.model.message.UpnpHeaders;
import java.util.List;
import java.util.Map;

/**
 * Converts from/to Apache HTTP Components header format.
 *
 * @author Christian Bauer
 */
public class HeaderUtil {

    public static void add(UpnpMessage upnpMessage, UpnpHeaders headers) {
        upnpMessage.setHeaders(headers);
        for (Map.Entry<String, List<String>> entry : headers.entrySet()) {
            for (String value : entry.getValue()) {
                // httpMessage.addHeader(entry.getKey(), value);
            }
        }
    }

    public static UpnpHeaders get(UpnpMessage upnpMessage) {
        UpnpHeaders headers = upnpMessage.getHeaders();
        /* for (UpnpHeader header : upnpMessage.getHeaders()) {
            headers.add(header.getName(), header.getValue());
        } */
        return headers;
    }

}
